You are not logged in.

Announcement

 Téléchargez la dernière version stable de GLPI      -     Et vous, que pouvez vous faire pour le projet GLPI ? :  Contribuer
 Download last stable version of GLPI                      -     What can you do for GLPI ? :  Contribute

#1 2020-07-09 15:40:46

TechDIGIT
Member
Registered: 2018-04-05
Posts: 62

Glpi 9.5.0

Bonjour,

Je viens de mettre en place e début d'installation de GLPI 9.5.0 sur une base SQL mutualisé OVH mais erreur à l'installation : "session.use_trans_sid" doit être désactivé.
Voyez le fichier .htaccess dans le dossier de GLPI pour plus d'informations. Le fichier .htaccess demande de modifier  le fichier php.ini mais on n'y a pas accès sur le mutualisé OVH.

Quelle solution ai-je ?

Offline

#2 2020-07-09 15:59:41

LaDenrée
HELPER
Registered: 2012-11-19
Posts: 5,150

Re: Glpi 9.5.0

j'etais en train de réfléchir à cette prochaine migration chez OVH mutualisé et le me posais la question au sujet des timezone je ne vois pas comment les paramétrer. j'ai peur de devoir passer sur autre chose que l'hébergement mutualisé qui supporte mon GLPI depuis très longtemps.

je pense que j'aurai le même problème que vous.

pour l'instant je suis encore en local pour ma version 9.5 parce que j'attends la compatibilité du plugin behaviour pour finir mes tests. ensuite je passerai sur les tests chez ovh.


Trouver la panne avant de réparer...
*GLPI 9.1.6+fusion9.1+1.1+behaviours1.5.0+reports+fields+appliances+pdf+badges+formcreator2.5.2 PHP7.0 Mariadb10
*GLPI 9.4.6(behaviours2.2.1+fusioninventoty 9.4+1.1+applicatifs2.5.0+fields 1.9.1) php7.3 mysql5.6 hebergé sur serveur mutualisé.
TEST GLPI9.5.1   php7.4 mariadb 10.3 ubuntu20.04 ( echec d'install en mutualisé, mais OK en local)

Offline

#3 2020-07-09 16:20:25

TechDIGIT
Member
Registered: 2018-04-05
Posts: 62

Re: Glpi 9.5.0

Sur base SQL privé OVH mais bon, cela représente un certains coût à l'année.
Je vais devoir me rabattre sur la 9.4.5

Offline

#4 2020-07-09 16:44:57

LaDenrée
HELPER
Registered: 2012-11-19
Posts: 5,150

Re: Glpi 9.5.0

la 9.4.6 est OK en mutualisé.


Trouver la panne avant de réparer...
*GLPI 9.1.6+fusion9.1+1.1+behaviours1.5.0+reports+fields+appliances+pdf+badges+formcreator2.5.2 PHP7.0 Mariadb10
*GLPI 9.4.6(behaviours2.2.1+fusioninventoty 9.4+1.1+applicatifs2.5.0+fields 1.9.1) php7.3 mysql5.6 hebergé sur serveur mutualisé.
TEST GLPI9.5.1   php7.4 mariadb 10.3 ubuntu20.04 ( echec d'install en mutualisé, mais OK en local)

Offline

#5 2020-07-09 16:52:15

TechDIGIT
Member
Registered: 2018-04-05
Posts: 62

Re: Glpi 9.5.0

Ok merci de l'info.

Offline

#6 2020-07-11 14:27:51

LaDenrée
HELPER
Registered: 2012-11-19
Posts: 5,150

Re: Glpi 9.5.0

avez vous dé&commenté les lignes 3 et 4 du fichier htaccess ?

#php_value session.auto_start 0
#php_value session.use_trans_sid 0


Trouver la panne avant de réparer...
*GLPI 9.1.6+fusion9.1+1.1+behaviours1.5.0+reports+fields+appliances+pdf+badges+formcreator2.5.2 PHP7.0 Mariadb10
*GLPI 9.4.6(behaviours2.2.1+fusioninventoty 9.4+1.1+applicatifs2.5.0+fields 1.9.1) php7.3 mysql5.6 hebergé sur serveur mutualisé.
TEST GLPI9.5.1   php7.4 mariadb 10.3 ubuntu20.04 ( echec d'install en mutualisé, mais OK en local)

Offline

#7 2020-07-13 08:58:09

TechDIGIT
Member
Registered: 2018-04-05
Posts: 62

Re: Glpi 9.5.0

Non, je vais essayer ça ce matin

Offline

#8 2020-07-13 09:37:07

TechDIGIT
Member
Registered: 2018-04-05
Posts: 62

Re: Glpi 9.5.0

Si je décommente les lignes j'ai une erreur d'accès à la page d'installation, donc installation impossible.

Offline

#9 2020-08-04 10:36:08

TechDIGIT
Member
Registered: 2018-04-05
Posts: 62

Re: Glpi 9.5.0

Quelqu'un a réussis à l'installer sur une base SQL chez OVH depuis ?

Offline

#10 2020-08-04 10:54:50

LaDenrée
HELPER
Registered: 2012-11-19
Posts: 5,150

Re: Glpi 9.5.0

je n'ai pas encore tenté la 9.5.1 en mutualisé tant que je n'ai pas mon plugin behaviours.


Trouver la panne avant de réparer...
*GLPI 9.1.6+fusion9.1+1.1+behaviours1.5.0+reports+fields+appliances+pdf+badges+formcreator2.5.2 PHP7.0 Mariadb10
*GLPI 9.4.6(behaviours2.2.1+fusioninventoty 9.4+1.1+applicatifs2.5.0+fields 1.9.1) php7.3 mysql5.6 hebergé sur serveur mutualisé.
TEST GLPI9.5.1   php7.4 mariadb 10.3 ubuntu20.04 ( echec d'install en mutualisé, mais OK en local)

Offline

#11 2020-08-04 11:27:16

TechDIGIT
Member
Registered: 2018-04-05
Posts: 62

Re: Glpi 9.5.0

Tu fais quoi avec Behaviors ?

Offline

#12 2020-08-04 11:29:17

LaDenrée
HELPER
Registered: 2012-11-19
Posts: 5,150

Re: Glpi 9.5.0

ajout des groupes du demandeur en automatique et plus de notifications ( évenements et destinataires supplémentaires)


Trouver la panne avant de réparer...
*GLPI 9.1.6+fusion9.1+1.1+behaviours1.5.0+reports+fields+appliances+pdf+badges+formcreator2.5.2 PHP7.0 Mariadb10
*GLPI 9.4.6(behaviours2.2.1+fusioninventoty 9.4+1.1+applicatifs2.5.0+fields 1.9.1) php7.3 mysql5.6 hebergé sur serveur mutualisé.
TEST GLPI9.5.1   php7.4 mariadb 10.3 ubuntu20.04 ( echec d'install en mutualisé, mais OK en local)

Offline

#13 2020-08-04 11:30:24

LaDenrée
HELPER
Registered: 2012-11-19
Posts: 5,150

Re: Glpi 9.5.0

avec les groupes du demandeur, je peux notifier le superviseur du groupe ( le responsable du demandeur)


Trouver la panne avant de réparer...
*GLPI 9.1.6+fusion9.1+1.1+behaviours1.5.0+reports+fields+appliances+pdf+badges+formcreator2.5.2 PHP7.0 Mariadb10
*GLPI 9.4.6(behaviours2.2.1+fusioninventoty 9.4+1.1+applicatifs2.5.0+fields 1.9.1) php7.3 mysql5.6 hebergé sur serveur mutualisé.
TEST GLPI9.5.1   php7.4 mariadb 10.3 ubuntu20.04 ( echec d'install en mutualisé, mais OK en local)

Offline

#14 2020-08-04 12:10:34

TechDIGIT
Member
Registered: 2018-04-05
Posts: 62

Re: Glpi 9.5.0

Il y a une solution hormis prendre une base SQL privé chez OVH ?

Offline

#15 2020-08-11 17:37:31

jeromarsan
Member
From: Toulouse
Registered: 2020-07-06
Posts: 14

Re: Glpi 9.5.0

Je n'ai pas réussi à passer l'étape 0. Je suis toujours bloqué avec "session.use_trans_sid" doit être désactivé. Voyez le fichier .htaccess dans le dossier de GLPI pour plus d'informations.

Le .htaccess de base est le suivant :

# If you have problem with session.auto_start or session.use_trans_sid on install
# you need to set thse configurations values to 0 in php.ini or uncomment this line
#php_value session.auto_start 0
#php_value session.use_trans_sid 0


# The following lines enable the apache rewriting for the api. You can use url like http://glpi/api/.
#<IfModule mod_rewrite.c>
#   RewriteEngine On
#   RewriteCond %{REQUEST_FILENAME} !-f
#   RewriteCond %{REQUEST_FILENAME} !-d
#   RewriteRule api/(.*)$ apirest.php/$1
#</IfModule>


# You can uncomment following lines to enable caching of web assets (pictures, javascript files, etc)
#<IfModule mod_expires.c>
#   ExpiresActive On
#   ExpiresByType image/jpg "access 1 year"
#   ExpiresByType image/jpeg "access 1 year"
#   ExpiresByType image/gif "access 1 year"
#   ExpiresByType image/png "access 1 year"
#   ExpiresByType text/css "access 1 year"
#   ExpiresByType text/x-javascript "access 1 year"
#   ExpiresByType text/javascript "access 1 year"
#   ExpiresByType application/javascript "access 1 year"
#</IfModule>

Offline

#16 2020-08-25 16:38:32

LaDenrée
HELPER
Registered: 2012-11-19
Posts: 5,150

Re: Glpi 9.5.0

ça y est le plugin behaviors est compatible je vais pouvoir valider en local puis tenter sur mon instance OVH.
Les bugs signalés ( il y en a pas mal sur cette version je trouve) ne devraient pas trop me gêner sur cette instance.

je prévois tout de même une solution pour retour arrière en 9.4.6 ( dumps de BDD et de files ) si jamais .....


Trouver la panne avant de réparer...
*GLPI 9.1.6+fusion9.1+1.1+behaviours1.5.0+reports+fields+appliances+pdf+badges+formcreator2.5.2 PHP7.0 Mariadb10
*GLPI 9.4.6(behaviours2.2.1+fusioninventoty 9.4+1.1+applicatifs2.5.0+fields 1.9.1) php7.3 mysql5.6 hebergé sur serveur mutualisé.
TEST GLPI9.5.1   php7.4 mariadb 10.3 ubuntu20.04 ( echec d'install en mutualisé, mais OK en local)

Offline

#17 2020-08-26 09:21:51

LaDenrée
HELPER
Registered: 2012-11-19
Posts: 5,150

Re: Glpi 9.5.0

En hébergement mutualisé ça semble mal parti à cause du  "session.use_trans_sid" la syntaxe semble différente en mutualisé OVH :

SetEnv SESSION_USE_TRANS_SID 0   (source : https://www.pyrat.net/Optimisation-SPIP … lise.html)


j'ai essayé en local (ubuntu) mais avec un .htaccess je n'arrive pas à modifier cette valeur qui est définie dans le php.ini
je n'ai pas encore jeté l'éponge, il y a peut être encore quelque chose à faire avec le allowoveride ou un autre truc du genre ( je débute avec la manip de ces fichiers htaccess alors j'essaie de faire le tri dans ce que je lis sur les forums et je tatonne sur une instance bac à sable)...


Trouver la panne avant de réparer...
*GLPI 9.1.6+fusion9.1+1.1+behaviours1.5.0+reports+fields+appliances+pdf+badges+formcreator2.5.2 PHP7.0 Mariadb10
*GLPI 9.4.6(behaviours2.2.1+fusioninventoty 9.4+1.1+applicatifs2.5.0+fields 1.9.1) php7.3 mysql5.6 hebergé sur serveur mutualisé.
TEST GLPI9.5.1   php7.4 mariadb 10.3 ubuntu20.04 ( echec d'install en mutualisé, mais OK en local)

Offline

#18 2020-08-27 23:14:50

LaDenrée
HELPER
Registered: 2012-11-19
Posts: 5,150

Re: Glpi 9.5.0

en local j'ai finalement compris comment paramétrer le apache2.conf et le htaccess.

sur le mutualisé j'ai une erreur 500 (preuve que le htaccess est pris en compte) mais je ne peux pas changer la valeur avec
SetEnv session.use_trans_sid 0 

je resterai donc en 9.4 sur cette instance. ( le passage en web cloud est vraiment plus cher (si on tient compte de mes 250 Go de stockage inclus dans l'offre actuelle qui passeraient à 10 Go)


Trouver la panne avant de réparer...
*GLPI 9.1.6+fusion9.1+1.1+behaviours1.5.0+reports+fields+appliances+pdf+badges+formcreator2.5.2 PHP7.0 Mariadb10
*GLPI 9.4.6(behaviours2.2.1+fusioninventoty 9.4+1.1+applicatifs2.5.0+fields 1.9.1) php7.3 mysql5.6 hebergé sur serveur mutualisé.
TEST GLPI9.5.1   php7.4 mariadb 10.3 ubuntu20.04 ( echec d'install en mutualisé, mais OK en local)

Offline

#19 2020-08-31 12:19:10

TechDIGIT
Member
Registered: 2018-04-05
Posts: 62

Re: Glpi 9.5.0

Oui car la seul solution c'est passé sur du SQL privé ?

Offline

#20 2020-08-31 13:21:03

LaDenrée
HELPER
Registered: 2012-11-19
Posts: 5,150

Re: Glpi 9.5.0

en ce qui concerne le session.use_trans_id  changer de serveur sql n'y changera rien, c'est sur le serveur web php qu'il faut modifier.
En hebergement mutualisé OVH on ne peut pas modifier le php.ini  ni les variables de session  avec un .htaccess .
d'après la doc l'hebergement "cloud web" inclut le "choix des variables d'environnement" .  est ce que ça suffira ? je n'en sais rien.

j'ai encore quelques mois pour trouver une solution sur cette instance avant que la 9.4 soit obsolète.


Trouver la panne avant de réparer...
*GLPI 9.1.6+fusion9.1+1.1+behaviours1.5.0+reports+fields+appliances+pdf+badges+formcreator2.5.2 PHP7.0 Mariadb10
*GLPI 9.4.6(behaviours2.2.1+fusioninventoty 9.4+1.1+applicatifs2.5.0+fields 1.9.1) php7.3 mysql5.6 hebergé sur serveur mutualisé.
TEST GLPI9.5.1   php7.4 mariadb 10.3 ubuntu20.04 ( echec d'install en mutualisé, mais OK en local)

Offline

#21 2020-09-03 08:35:35

TechDIGIT
Member
Registered: 2018-04-05
Posts: 62

Re: Glpi 9.5.0

De mon côté je pense que je vais transférer mon domaine chez o2switch qui permet de faire tout ça.
Je passe par MS365 niveau mail donc à part l'hébergement site/domaine/glpi OVH ne me sert pas plus.

Offline

#22 2020-09-20 21:34:26

TechDIGIT
Member
Registered: 2018-04-05
Posts: 62

Re: Glpi 9.5.0

Sur base héberger chez IONOS la 9.5.1 passe à l'installation.

Offline

#23 Today 14:02:26

jeromarsan
Member
From: Toulouse
Registered: 2020-07-06
Posts: 14

Re: Glpi 9.5.0

C'est tout bon ! Je suis en 9.5.2 sur du mutualisé sur OVH.

J'ai trouvé la solution sur le forum d'OVH, il suffit de créer un fichier .user.ini et d'y mettre la ligne suivante :

session.use_trans_sid = Off

J'ai mis le fichier .user.ini à la racine de mon GLPI et ça roule smile

Bonne installation à tous wink

Offline

#24 Today 14:08:40

LaDenrée
HELPER
Registered: 2012-11-19
Posts: 5,150

Re: Glpi 9.5.0

ça c'est une bonne nouvelle je vais essayer très vite.


Trouver la panne avant de réparer...
*GLPI 9.1.6+fusion9.1+1.1+behaviours1.5.0+reports+fields+appliances+pdf+badges+formcreator2.5.2 PHP7.0 Mariadb10
*GLPI 9.4.6(behaviours2.2.1+fusioninventoty 9.4+1.1+applicatifs2.5.0+fields 1.9.1) php7.3 mysql5.6 hebergé sur serveur mutualisé.
TEST GLPI9.5.1   php7.4 mariadb 10.3 ubuntu20.04 ( echec d'install en mutualisé, mais OK en local)

Offline

Board footer

Powered by FluxBB